package com.mgh.pmdm.ejemplosui

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import android.view.Menu
import android.view.MenuInflater
import android.view.MenuItem
import android.widget.Spinner
import android.widget.Toast
import androidx.appcompat.app.AlertDialog
import com.google.android.material.snackbar.Snackbar
import com.mgh.pmdm.ejemplosui.databinding.ActivityEditParkBinding

class EditParkActivity : AppCompatActivity(), MiDialogFragment.OnOKOrCancelListener {

    override fun onPositiveClick() {
        Snackbar.make(binding.root, "Se han guardado los datos", Snackbar.LENGTH_LONG)
            .show()
    }

    override fun onCancelClick() {
        Toast.makeText(
            applicationContext,
            "Se ha cancelado la acción", Toast.LENGTH_SHORT
        ).show()
    }


    private lateinit var binding: ActivityEditParkBinding


    override fun onCreateOptionsMenu(menu: Menu): Boolean {
        val inflater: MenuInflater = menuInflater
        inflater.inflate(R.menu.menu_principal, menu)
        return true
    }

    override fun onOptionsItemSelected(item: MenuItem): Boolean {
        return when (item.itemId) {
            R.id.main -> {
                Toast.makeText(this, "Has seleccionado main", Toast.LENGTH_LONG).show()
                true
            }
            R.id.add_park -> {
                Toast.makeText(this, "Has seleccionado add", Toast.LENGTH_LONG).show()
                true
            }
            else -> super.onOptionsItemSelected(item)
        }
    }


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        binding = ActivityEditParkBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)

        binding.btSave.setOnClickListener {

            // Formateamos el mensaje

            var message = "Nombre: " + binding.Name.text +
                    "\nDescripción: " + binding.Description.text +
                    "\ntelefono: " + binding.Phone.text +
                    "\nWeb: " + binding.webSite.text +
                    "\nHora de apertura: " + binding.SpinnerOpeningTime.selectedItem +
                    "\nHora de cierre: " + binding.SpinnerClosingTime.selectedItem

            if (binding.cbSport.isChecked) message += "\n - Con instalaciones Deportivas"
            if (binding.cbChildren.isChecked) message += "\n - Con instalaciones para niños"
            if (binding.cbBar.isChecked) message += "\n - Con zona de restauración"
            if (binding.cbMascotas.isChecked) message += " \n - Con zona para mascotas"

            message += "\n\n¿Está seguro que desea guardar los datos?"

            val miDialogo = MiDialogFragment("Guardar datos", message)
            miDialogo.show(supportFragmentManager, "miDialogo")


            /*AlertDialog.Builder(this)
                .setTitle("Confirmación")
                .setMessage(message)
                .setCancelable(false)
                .setPositiveButton(android.R.string.ok) { dialog, which ->

                }
                .setNegativeButton(android.R.string.cancel) { dialog, which ->

                }
                .show()
            */
        }
    }

}



